commit: 7c0276672298613d3ad6cf3e36b4b030b9bd0268
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 23 04:47:24 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 23 04:47:24 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c027667
app-admin/awscli: Bump to 1.29.53
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-admin/awscli/Manifest | 1 +
app-admin/awscli/awscli-1.29.53.ebuild | 84 ++++++++++++++++++++++++++++++++++
2 files changed, 85 insertions(+)
diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 1f58fc7d6f77..d849e05c3ebb 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -15,3 +15,4 @@ DIST aws-cli-1.29.49.gh.tar.gz 2533689 BLAKE2B
0ead02f739adc66eed988bedf41b9b508
DIST aws-cli-1.29.50.gh.tar.gz 2534012 BLAKE2B
1089a689851648125e0a04f4ec004bc141059201a8e885db3a88ac3912b47997af797e21ce8d759be5ba03a0a09d278c612068a8cd55eb4b9a971b11077d5175
SHA512
4dfd35be02641b77c3f4047645a7d6aaada62550ac725e1aefa154dbad15839b19fb222ea8194f919823d25b3a30c8275f3760dbf7d0828b1b1fa4537c2c26a4
DIST aws-cli-1.29.51.gh.tar.gz 2534506 BLAKE2B
79ff26738b1008b3b19de7d4838dab11711d540f147fb60eb13b1d820f50dcf0544375cc7e37a9a6571a0931593ad1de6416c4e54bbcd27ab9e89a8b702303d2
SHA512
537a395f99d6b7fd9d4597f719dbf151620fe9f3c747e4ebaf54f63e2943621faaefe4ce1f278b09047e381da865e27ad394a166035ecace742f3294d6cc58ef
DIST aws-cli-1.29.52.gh.tar.gz 2547970 BLAKE2B
49ae8ce6051907b13c7c4eb5d5431e652050617f469cfc32ef70cb6ce7db335bb0ddf9105909705c840c693b7857f9e7396d983c6cd0a13bfadb210421cb83d7
SHA512
ccfb02b66854f4fd288086f1f9bea7f6ff8aa67e20ff253e0483e2133204be4efd3b50e87398feb68fd7852fdb53d4ac31dd2d1548248608b6a5351a618b0458
+DIST aws-cli-1.29.53.gh.tar.gz 2549518 BLAKE2B
4c9932ddbfb5f8619006589c0ed8f00b5d0230bc9d7fa811875cc4b16e9b5583a3abe4ccbb290524565dde2f78ae5696162863ea6e5224517c98414d7cb74344
SHA512
1150c20f5cc3da3a0ba2e25741441a7db8b6e399a927366902b30fd30a394634d015cc6b53bbfe7bcb759ce0aec6e0f9432a23e5b8d00cd9c2bb71afd5744627
diff --git a/app-admin/awscli/awscli-1.29.53.ebuild
b/app-admin/awscli/awscli-1.29.53.ebuild
new file mode 100644
index 000000000000..040a8d7bd9f3
--- /dev/null
+++ b/app-admin/awscli/awscli-1.29.53.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit bash-completion-r1 distutils-r1 multiprocessing
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+ https://github.com/aws/aws-cli/
+ https://pypi.org/project/awscli/
+"
+SRC_URI="
+ https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# botocore is x.(y+2).z
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ !app-admin/awscli-bin
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+ # strip overzealous upper bounds on requirements
+ sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken xdist (signal() works only in main thread)
+
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+ tests/unit/test_help.py::TestHelpPager::test_can_handle_ctrl_c
+ tests/unit/test_help.py::TestHelpPager::test_can_render_contents
+
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+ )
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # integration tests require AWS credentials and Internet access
+ epytest tests/{functional,unit} -p xdist -n "$(makeopts_jobs)"
+}
+
+python_install_all() {
+ newbashcomp bin/aws_bash_completer aws
+
+ insinto /usr/share/zsh/site-functions
+ newins bin/aws_zsh_completer.sh _aws
+
+ distutils-r1_python_install_all
+
+ rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} ||
die
+}